#!/bin/sh
type=$1
mco=$(find uml_dir -type s | grep "/isp/" )
if [ $mco ]; then
echo "Host isp seems to be up already"
exit 1
fi

default=screen
if [ -z $type ]; then
type=$default
fi
if [ "$type" = "screen" ]; then
echo "Starting isp.routing-lab in screen"
screen -d -m -S  isp.routing-lab  linux  \
 ubd0=images/isp,images/cow_image \
 eth0=daemon,fe:fd:0:0:27:b8,unix,network/sthlm-isp \
ubd2=/home/knoppix/report \
mem=32M umid=isp uml_dir=uml_dir/isp  &
elif [ "$type" = "xterm" ]; then
echo "Starting isp in xterm"
xterm -bg black -fn fixed -fg lightgrey \
-T isp.routing-lab -e  linux  \
 ubd0=images/isp,images/cow_image \
 eth0=daemon,fe:fd:0:0:27:b8,unix,network/sthlm-isp \
ubd2=/home/knoppix/report \
mem=32M umid=isp uml_dir=uml_dir/isp  &
fi
