#!/bin/sh
type=$1
mco=$(find uml_dir -type s | grep "/blowfish/" )
if [ -n "$mco" ]; then
echo "Host blowfish seems to be up already"
exit 1
fi

default=xterm
if [ -z $type ]; then
type=$default
fi
if [ "$type" = "screen" ]; then
echo "Starting blowfish.blackbox in screen"
screen -d -m -S  blowfish.blackbox  linux  \
 ubd0=images/blowfish,images/cow_image \
 eth0=daemon,fe:fd:0:0:7f:34,unix,network/sw6 \
mem=32M umid=blowfish uml_dir=uml_dir/blowfish  LD_ASSUME_KERNEL=2.4.1  &
elif [ "$type" = "xterm" ]; then
echo "Starting blowfish in xterm"
xterm -bg black -fn fixed  -fg green \
-T blowfish.blackbox -e  linux  \
 ubd0=images/blowfish,images/cow_image \
 eth0=daemon,fe:fd:0:0:7f:34,unix,network/sw6 \
mem=32M umid=blowfish uml_dir=uml_dir/blowfish  LD_ASSUME_KERNEL=2.4.1  &
fi
